record TorqueConverterTable 
  constant Real speed_ratio[:];
  constant Real torque_ratio[size(speed_ratio, 1)];
  constant Real C[size(speed_ratio, 1)];
  annotation (Icon(
      Rectangle(extent=[-100, 10; -59, -10], style(
          color=0,
          gradient=2,
          fillColor=8,
          fillPattern=1)),
      Rectangle(extent=[-22, 10; 80, -10], style(
          color=0,
          gradient=2,
          fillColor=8,
          fillPattern=1)),
      Rectangle(extent=[-30, 50; -20, -50], style(
          color=9,
          fillColor=9,
          fillPattern=1)),
      Rectangle(extent=[6, 90; 14, 78], style(
          color=9,
          fillColor=9,
          fillPattern=1)),
      Rectangle(extent=[-60, 100; -50, -100], style(
          color=9,
          gradient=0,
          fillColor=9,
          fillPattern=1)),
      Ellipse(extent=[-30, 80; 38, 16], style(
          color=9,
          gradient=0,
          fillColor=3,
          fillPattern=1)),
      Ellipse(extent=[-17, 70; 24, 32], style(
          color=3,
          gradient=0,
          fillColor=7,
          fillPattern=1)),
      Rectangle(extent=[2, 90; 6, 65], style(
          color=7,
          gradient=0,
          fillColor=7,
          fillPattern=1)),
      Polygon(points=[14, 42; 34, 22; 31, 19; 12, 40; 14, 42], style(
          color=7,
          fillColor=7,
          fillPattern=1)),
      Polygon(points=[0, 45; -18, 24; -16, 20; 3, 43; 0, 45], style(
          color=7,
          gradient=0,
          fillColor=7,
          fillPattern=1)),
      Rectangle(extent=[6, 90; 14, 78], style(
          color=9,
          fillColor=9,
          fillPattern=1)),
      Ellipse(extent=[-17, 70; 24, 32], style(
          color=3,
          gradient=0,
          fillColor=7,
          fillPattern=1)),
      Rectangle(extent=[2, 90; 6, 65], style(
          color=7,
          gradient=0,
          fillColor=7,
          fillPattern=1)),
      Polygon(points=[14, 42; 34, 22; 31, 19; 12, 40; 14, 42], style(
          color=7,
          fillColor=7,
          fillPattern=1)),
      Polygon(points=[0, 45; -18, 24; -16, 20; 3, 43; 0, 45], style(
          color=7,
          gradient=0,
          fillColor=7,
          fillPattern=1)),
      Ellipse(extent=[-30, -20; 38, -84], style(
          color=9,
          gradient=0,
          fillColor=3,
          fillPattern=1)),
      Rectangle(extent=[-50, 100; 14, 90], style(
          color=9,
          fillColor=9,
          fillPattern=1)),
      Rectangle(extent=[6, -78; 14, -90], style(
          color=9,
          fillColor=9,
          fillPattern=1)),
      Ellipse(extent=[-17, -34; 24, -72], style(
          color=3,
          gradient=0,
          fillColor=7,
          fillPattern=1)),
      Rectangle(extent=[2, -66; 6, -90], style(
          color=7,
          gradient=0,
          fillColor=7,
          fillPattern=1)),
      Rectangle(extent=[-50, -90; 14, -100], style(
          color=9,
          fillColor=9,
          fillPattern=1)),
      Polygon(points=[-16, -20; 0, -44; -2, -46; -18, -22; -16, -20],
          style(
          color=7,
          fillColor=7,
          fillPattern=1)),
      Polygon(points=[30, -21; 12, -42; 14, -46; 33, -23; 30, -21], style(
          color=7,
          gradient=0,
          fillColor=7,
          fillPattern=1)),
      Rectangle(extent=[40, 100; 100, 20], style(color=0, fillColor=51)),
      Rectangle(extent=[40, 80; 100, 60], style(color=0, fillColor=7)),
      Rectangle(extent=[40, 40; 100, 20], style(color=0, fillColor=7)),
      Rectangle(extent=[40, 60; 100, 40], style(color=0, fillColor=9)),
      Line(points=[60, 20; 60, 100], style(
          color=0,
          fillColor=7,
          fillPattern=1)),
      Line(points=[80, 20; 80, 100], style(
          color=0,
          fillColor=7,
          fillPattern=1))));
  
end TorqueConverterTable;
