import "VMATutorial2005/VehicleSystems/package.mo";
package BasicVehicleSystems 

  annotation (Documentation(info="<html>
<h1><tt>BasicVMA</tt></h1>
<p>The <tt>VMA</tt> package specifically includes only one implementation of each subsystem and that implementation is limited to only the basic physics necessary to create a working model for functional verification of the library.  As such, it is not very useful for building actual models.</p>

<p>
This library attempts to address the situation by including reasonable implementations of VMA interfaces.  These models are not proprietary or particularly tied to any given application or purpose.  <b>Note that the package is encapsulated to facilitate moving the package out and making it a stand-alone package (separate from the VMA Tutorial material) at some point.</b></p>

</html>
"), uses(Modelica(version="2.2")));
end BasicVehicleSystems;
