model Accessories "No accessories" 
  extends VehicleSystems.Icons.Accessories;
  extends VehicleSystems.Interfaces.Subsystems.Accessories;
  annotation (Diagram, Icon(Ellipse(extent=[-100, 100; 100, -100], style(color=
              1, thickness=4)), Line(points=[-70, -72; 70, 72], style(color=1,
            thickness=4))));
  Modelica.Mechanics.Rotational.Torque Torque1 
    annotation (extent=[60, -10; 80, 10]);
  Modelica.Blocks.Sources.Constant Constant1(k=0) 
    annotation (extent=[20, -10; 40, 10]);
  Modelica.Mechanics.Rotational.Fixed ground 
    annotation (extent=[60,-40; 80,-20]);
equation 
  connect(Torque1.flange_b, drive) 
    annotation (points=[80, 0; 100, 0], style(color=0));
  connect(Constant1.y,Torque1.tau) 
    annotation (points=[41, 0; 58, 0], style(color=3));
  connect(ground.flange_b, Torque1.bearing) 
    annotation (points=[70,-30; 70,-10], style(color=0, rgbcolor={0,0,0}));
end Accessories;
