connector Wheels "Provides the torque and position of each wheel" 
  
  Modelica.Mechanics.Rotational.Interfaces.Flange_a left_front_wheel;
  Modelica.Mechanics.Rotational.Interfaces.Flange_a right_front_wheel;
  Modelica.Mechanics.Rotational.Interfaces.Flange_a left_rear_wheel;
  Modelica.Mechanics.Rotational.Interfaces.Flange_a right_rear_wheel;
  annotation (Icon(
      Rectangle(extent=[-100, 100; 100, -100], style(fillColor=7)),
      Rectangle(extent=[-66, 80; -56, 20], style(gradient=3, fillColor=10)),
      Ellipse(extent=[-70, 80; -40, 20], style(
          gradient=3,
          fillColor=10,
          fillPattern=10)),
      Ellipse(extent=[-80, 80; -50, 20], style(gradient=3, fillColor=10)),
      Ellipse(extent=[-74, 72; -56, 28], style(color=0, fillColor=10)),
      Rectangle(extent=[-66, -20; -56, -80], style(gradient=3, fillColor=10)),
      Ellipse(extent=[-70, -20; -40, -80], style(
          gradient=3,
          fillColor=10,
          fillPattern=10)),
      Ellipse(extent=[-80, -20; -50, -80], style(gradient=3, fillColor=10)),
      Ellipse(extent=[-74, -28; -56, -72], style(color=0, fillColor=10)),
      Rectangle(extent=[54, 80; 64, 20], style(gradient=3, fillColor=10)),
      Ellipse(extent=[50, 80; 80, 20], style(
          gradient=3,
          fillColor=10,
          fillPattern=10)),
      Ellipse(extent=[40, 80; 70, 20], style(gradient=3, fillColor=10)),
      Ellipse(extent=[46, 72; 64, 28], style(color=0, fillColor=10)),
      Rectangle(extent=[54, -20; 64, -80], style(gradient=3, fillColor=10)),
      Ellipse(extent=[50, -20; 80, -80], style(
          gradient=3,
          fillColor=10,
          fillPattern=10)),
      Ellipse(extent=[40, -20; 70, -80], style(gradient=3, fillColor=10)),
      Ellipse(extent=[46, -28; 64, -72], style(color=0, fillColor=10))));
end Wheels;
