import "package.mo";
import "VMATutorial2005/VehicleSystems/package.mo";
import "VMATutorial2005/work/Exercise1.mo";

model Exercise3 
  extends Exercise1(
    redeclare replaceable BasicVehicleSystems.Chassis.RigidChassis chassis, 
    redeclare replaceable BasicVehicleSystems.Powerplant.FuelEconomy powerplant(
        torque_curves=BasicVehicleSystems.Data.Engines.OSU_Engine()), 
    redeclare replaceable 
      BasicVehicleSystems.Transmission.ClutchlessStepRatioTransmission 
      transmission(ratios={10,8,5,4,3}), 
    redeclare replaceable VehicleSystems.Implementations.Minimal.Driver driver, 
      
    redeclare replaceable 
      BasicVehicleSystems.Transmission.Controllers.ShiftSchedule 
      transmission_control);
  annotation (uses(Modelica(version="2.2")));
end Exercise3;
