model TestNonLinear1 
  
  NonLinearResistor1 R(a=.16666666, b=6) 
    annotation (extent=[0,20; 20,40],  rotation=-90);
  Modelica.Electrical.Analog.Basic.Inductor I(i(start=0.15)) 
    annotation (extent=[-30,40; -10,60]);
  Modelica.Electrical.Analog.Sources.SineVoltage S 
    annotation (extent=[-60,20; -40,40], rotation=90);
  Modelica.Electrical.Analog.Basic.Ground G annotation (extent=[0,-12; 20,8]);
equation 
  connect(I.n, R.p) annotation (points=[-10,50; 10,50; 10,40],
                                                             style(color=3,
        rgbcolor={0,0,255}));
  connect(R.n, G.p) annotation (points=[10,20; 10,8],                   style(
        color=3, rgbcolor={0,0,255}));
  connect(S.n, I.p) annotation (points=[-50,40; -50,50; -30,50],         style(
        color=3, rgbcolor={0,0,255}));
  connect(S.p, G.p) annotation (points=[-50,20; -50,8; 10,8], style(color=3,
        rgbcolor={0,0,255}));
  annotation (uses(Modelica(version="1.6")));
end TestNonLinear1;
