model TestNonLinear2 
  
  NonLinearResistor2 R(a=.16666666, b=6) 
    annotation (extent=[10,30; 30,50], rotation=-90);
  Modelica.Electrical.Analog.Basic.Inductor I(i(start=0.15)) 
    annotation (extent=[-20,50; 0,70]);
  Modelica.Electrical.Analog.Sources.SineVoltage S 
    annotation (extent=[-50,30; -30,50], rotation=90);
  Modelica.Electrical.Analog.Basic.Ground G annotation (extent=[10,-2; 30,18]);
equation 
  connect(I.n, R.p) annotation (points=[0,60; 20,60; 20,50], style(color=3,
        rgbcolor={0,0,255}));
  connect(R.n, G.p) annotation (points=[20,30; 20,18],                  style(
        color=3, rgbcolor={0,0,255}));
  connect(S.n, I.p) annotation (points=[-40,50; -40,60; -20,60],         style(
        color=3, rgbcolor={0,0,255}));
  connect(S.p, G.p) annotation (points=[-40,30; -40,18; 20,18], style(color=3,
        rgbcolor={0,0,255}));
  annotation (uses(Modelica(version="1.6")));
end TestNonLinear2;
