model RearAxle 
  Wheels wheels annotation (extent=[46,-10; 66,10], rotation=90);
  annotation (Icon(
      Rectangle(extent=[0,100; 100,-100], style(
          color=0,
          rgbcolor={0,0,0},
          fillColor=7,
          rgbfillColor={255,255,255},
          fillPattern=1)),
                   Rectangle(extent=[58,90; 64,10], style(
          color=0,
          rgbcolor={0,0,0},
          fillColor=9,
          rgbfillColor={175,175,175},
          fillPattern=1)), Rectangle(extent=[58,-10; 64,-90], style(
          color=0,
          rgbcolor={0,0,0},
          fillColor=9,
          rgbfillColor={175,175,175},
          fillPattern=1))), Diagram);
  Modelica.Mechanics.Rotational.Interfaces.Flange_b rear_right 
    annotation (extent=[50,90; 70,110]);
  Modelica.Mechanics.Rotational.Interfaces.Flange_b rear_left 
    annotation (extent=[50,-110; 70,-90]);
equation 
  wheels.right_front_wheel.tau = 0;
  wheels.left_front_wheel.tau = 0;
  connect(rear_right, wheels.right_rear_wheel) annotation (points=[60,100; 60,0],
      style(
      color=0,
      rgbcolor={0,0,0},
      fillColor=7,
      rgbfillColor={255,255,255},
      fillPattern=1));
  connect(rear_left, wheels.left_rear_wheel) annotation (points=[60,-100; 60,-6;
        58,-6], style(
      color=0,
      rgbcolor={0,0,0},
      fillColor=7,
      rgbfillColor={255,255,255},
      fillPattern=1));
end RearAxle;
