partial model Driver "Interfaces to define driver-vehicle interactions" 
  
protected 
  replaceable connector DriverBus = MinimalDriverBus;
  replaceable connector ShiftControls = 
      VehicleSystems.Interfaces.ShiftInterface 
    annotation (Icon(Text(
        extent=[-100, -48; 100, -100],
        style(color=3),
        string="%name")));
  replaceable model Environment = 
      VehicleSystems.Implementations.Null.Environment 
     extends VehicleSystems.Interfaces.Subsystems.Environment;
  
  annotation (Diagram, Icon);
public 
  outer Environment environment annotation (
    extent=[-100, -100; -80, -80],
    DymolaAutoAdded,
    DymolaAutoAdded,
    DymolaAutoAdded,
    DymolaAutoAdded);
  inner DriverBus driver_bus annotation (extent=[90,-10; 110,10]);
end Driver;
