partial model PowerplantController 
  extends Interfaces.SubsystemController;
protected 
  replaceable connector PowerplantBus = VehicleSystems.Interfaces.Bus 
                                                           annotation (
      choicesAllMatching=true);
  replaceable connector DriverBus = VehicleSystems.Interfaces.Bus;
public 
  inner PowerplantBus powerplant_bus annotation (extent=[-10, -110; 10, -90]);
  inner DriverBus driver_bus annotation (extent=[90,30; 110,50]);
  annotation (extent=[-10, -110; 10, -90], Diagram);
end PowerplantController;
